variable "root_domain_name" {
    type = string
    description = "The DNS root domain"   
}

variable "root_domain_ip" {
    type = string
    description = "The ip the root domain points to"   
}

# https://registry.terraform.io/providers/digitalocean/digitalocean/latest/docs/resources/record
variable "records" {
    type = map(map(string))
    description = "A map of DNS records to install"
    default = {}
}